24
cat /etc/issue
Ubuntu 14.04.1 LTS \n \l

I am getting the following errors when doing sudo apt-get update, I have tried sudo apt-get dist-upgrade as recommended here but nothing seems to fix the issue. It appears from reading other questions relating to this issue that the Ubuntu version was no longer supported but I am running the latest version of Ubuntu.

Ign http://au.archive.ubuntu.com trusty InRelease
Ign http://au.archive.ubuntu.com trusty-updates InRelease                      
Ign http://au.archive.ubuntu.com trusty-backports InRelease                    
Ign http://dl.google.com stable InRelease                                      
Ign http://au.archive.ubuntu.com trusty-security InRelease                     
Hit http://au.archive.ubuntu.com trusty Release.gpg                            
Hit http://au.archive.ubuntu.com trusty-updates Release.gpg                    
Hit http://au.archive.ubuntu.com trusty-backports Release.gpg                  
Hit http://dl.google.com stable Release.gpg                                    
Hit http://au.archive.ubuntu.com trusty-security Release.gpg                   
Hit http://au.archive.ubuntu.com trusty Release                                
Hit http://au.archive.ubuntu.com trusty-updates Release                        
Hit http://au.archive.ubuntu.com trusty-backports Release                      
Hit http://dl.google.com stable Release                                        
Hit http://au.archive.ubuntu.com trusty-security Release                       
Hit http://apt.insynchq.com trusty InRelease                                   
Hit http://au.archive.ubuntu.com trusty/main Sources                           
Ign http://archive.ubuntu.com main InRelease                                   
Ign http://extras.ubuntu.com trusty InRelease                                  
Ign http://archive.canonical.com trusty InRelease                              
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://au.archive.ubuntu.com trusty/restricted Sources                     
Hit http://au.archive.ubuntu.com trusty/universe Sources                       
Hit http://dl.google.com stable/main amd64 Packages                            
Hit http://au.archive.ubuntu.com trusty/multiverse Sources                     
Hit http://au.archive.ubuntu.com trusty/main amd64 Packages                    
Hit http://au.archive.ubuntu.com trusty/restricted amd64 Packages              
Hit http://au.archive.ubuntu.com trusty/universe amd64 Packages                
Hit http://dl.google.com stable/main i386 Packages                             
Hit http://apt.insynchq.com trusty/non-free amd64 Packages                     
Ign http://archive.ubuntu.com main Release.gpg                                 
Hit http://extras.ubuntu.com trusty Release.gpg                                
Hit http://au.archive.ubuntu.com trusty/multiverse amd64 Packages              
Hit http://archive.canonical.com trusty Release.gpg                            
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://au.archive.ubuntu.com trusty/main i386 Packages                     
Hit http://au.archive.ubuntu.com trusty/restricted i386 Packages               
Hit http://au.archive.ubuntu.com trusty/universe i386 Packages                 
Hit http://au.archive.ubuntu.com trusty/multiverse i386 Packages               
Hit http://au.archive.ubuntu.com trusty/main Translation-en_AU                 
Hit http://apt.insynchq.com trusty/contrib amd64 Packages                      
Hit http://au.archive.ubuntu.com trusty/main Translation-en                    
Ign http://archive.ubuntu.com main Release                                     
Hit http://au.archive.ubuntu.com trusty/main Translation-en_GB                 
Hit http://extras.ubuntu.com trusty Release                                    
Hit http://archive.canonical.com trusty Release                                
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://au.archive.ubuntu.com trusty/multiverse Translation-en_AU           
Hit http://au.archive.ubuntu.com trusty/multiverse Translation-en              
Hit http://au.archive.ubuntu.com trusty/multiverse Translation-en_GB           
Hit http://au.archive.ubuntu.com trusty/restricted Translation-en_AU           
Hit http://au.archive.ubuntu.com trusty/restricted Translation-en              
Hit http://apt.insynchq.com trusty/non-free i386 Packages                      
Hit http://au.archive.ubuntu.com trusty/restricted Translation-en_GB           
Hit http://au.archive.ubuntu.com trusty/universe Translation-en_AU             
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://archive.canonical.com trusty/partner amd64 Packages                 
Hit http://au.archive.ubuntu.com trusty/universe Translation-en                
Hit http://au.archive.ubuntu.com trusty/universe Translation-en_GB             
Hit http://au.archive.ubuntu.com trusty-updates/main Sources                   
Hit http://au.archive.ubuntu.com trusty-updates/restricted Sources             
Hit http://apt.insynchq.com trusty/contrib i386 Packages                       
Hit http://au.archive.ubuntu.com trusty-updates/universe Sources               
Hit http://extras.ubuntu.com trusty/main amd64 Packages                        
Hit http://au.archive.ubuntu.com trusty-updates/multiverse Sources             
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://archive.canonical.com trusty/partner i386 Packages                  
Hit http://au.archive.ubuntu.com trusty-updates/main amd64 Packages            
Hit http://au.archive.ubuntu.com trusty-updates/restricted amd64 Packages      
Hit http://au.archive.ubuntu.com trusty-updates/universe amd64 Packages        
Hit http://au.archive.ubuntu.com trusty-updates/multiverse amd64 Packages      
Hit http://au.archive.ubuntu.com trusty-updates/main i386 Packages             
Hit http://au.archive.ubuntu.com trusty-updates/restricted i386 Packages       
Hit http://au.archive.ubuntu.com trusty-updates/universe i386 Packages         
Hit http://extras.ubuntu.com trusty/main i386 Packages                         
Hit http://au.archive.ubuntu.com trusty-updates/multiverse i386 Packages       
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://au.archive.ubuntu.com trusty-updates/main Translation-en            
Hit http://au.archive.ubuntu.com trusty-updates/multiverse Translation-en      
Hit http://au.archive.ubuntu.com trusty-updates/restricted Translation-en      
Hit http://au.archive.ubuntu.com trusty-updates/universe Translation-en        
Hit http://au.archive.ubuntu.com trusty-backports/main Sources                 
Hit http://au.archive.ubuntu.com trusty-backports/restricted Sources           
Hit http://au.archive.ubuntu.com trusty-backports/universe Sources             
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://au.archive.ubuntu.com trusty-backports/multiverse Sources           
Hit http://au.archive.ubuntu.com trusty-backports/main amd64 Packages          
Hit http://au.archive.ubuntu.com trusty-backports/restricted amd64 Packages    
Hit http://au.archive.ubuntu.com trusty-backports/universe amd64 Packages      
Hit http://au.archive.ubuntu.com trusty-backports/multiverse amd64 Packages    
Hit http://au.archive.ubuntu.com trusty-backports/main i386 Packages           
Hit http://au.archive.ubuntu.com trusty-backports/restricted i386 Packages     
Hit http://ppa.launchpad.net trusty Release.gpg                                
Ign http://archive.canonical.com trusty/partner Translation-en                 
Hit http://au.archive.ubuntu.com trusty-backports/universe i386 Packages       
Hit http://au.archive.ubuntu.com trusty-backports/multiverse i386 Packages     
Hit http://au.archive.ubuntu.com trusty-backports/main Translation-en          
Ign http://dl.google.com stable/main Translation-en_AU                         
Hit http://au.archive.ubuntu.com trusty-backports/multiverse Translation-en    
Hit http://au.archive.ubuntu.com trusty-backports/restricted Translation-en    
Hit http://au.archive.ubuntu.com trusty-backports/universe Translation-en      
Hit http://au.archive.ubuntu.com trusty-security/main Sources                  
Ign http://dl.google.com stable/main Translation-en                            
Hit http://ppa.launchpad.net trusty Release.gpg                                
Hit http://au.archive.ubuntu.com trusty-security/restricted Sources            
Hit http://au.archive.ubuntu.com trusty-security/universe Sources              
Hit http://au.archive.ubuntu.com trusty-security/multiverse Sources            
Ign http://dl.google.com stable/main Translation-en_GB                         
Hit http://au.archive.ubuntu.com trusty-security/main amd64 Packages           
Hit http://au.archive.ubuntu.com trusty-security/restricted amd64 Packages     
Hit http://au.archive.ubuntu.com trusty-security/universe amd64 Packages       
Hit http://ppa.launchpad.net trusty Release.gpg                                
Hit http://au.archive.ubuntu.com trusty-security/multiverse amd64 Packages     
Hit http://au.archive.ubuntu.com trusty-security/main i386 Packages            
Hit http://au.archive.ubuntu.com trusty-security/restricted i386 Packages      
Hit http://au.archive.ubuntu.com trusty-security/universe i386 Packages        
Hit http://au.archive.ubuntu.com trusty-security/multiverse i386 Packages      
Hit http://au.archive.ubuntu.com trusty-security/main Translation-en           
Hit http://au.archive.ubuntu.com trusty-security/multiverse Translation-en     
Hit http://au.archive.ubuntu.com trusty-security/restricted Translation-en     
Hit http://ppa.launchpad.net trusty Release.gpg                                
Hit http://au.archive.ubuntu.com trusty-security/universe Translation-en       
Hit http://ppa.launchpad.net trusty Release.gpg                                
Hit http://ppa.launchpad.net trusty Release.gpg                                
Hit http://ppa.launchpad.net trusty Release.gpg                       
Hit http://ppa.launchpad.net trusty Release                           
Hit http://ppa.launchpad.net trusty Release                                    
Hit http://ppa.launchpad.net trusty Release                                    
Hit http://ppa.launchpad.net trusty Release                                    
Hit http://ppa.launchpad.net trusty Release                                    
Ign http://extras.ubuntu.com trusty/main Translation-en_AU                     
Ign http://extras.ubuntu.com trusty/main Translation-en                        
Hit http://ppa.launchpad.net trusty Release                           
Ign http://extras.ubuntu.com trusty/main Translation-en_GB                     
Hit http://ppa.launchpad.net trusty Release                                    
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Ign http://apt.insynchq.com trusty/contrib Translation-en_AU                   
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Ign http://apt.insynchq.com trusty/contrib Translation-en                      
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Ign http://apt.insynchq.com trusty/contrib Translation-en_GB                   
Ign http://apt.insynchq.com trusty/non-free Translation-en_AU                  
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Ign http://apt.insynchq.com trusty/non-free Translation-en                     
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Ign http://apt.insynchq.com trusty/non-free Translation-en_GB                  
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Err http://archive.ubuntu.com main/universe amd64 Packages                     
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com main/restricted amd64 Packages                   
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com main/multiverse amd64 Packages                   
  404  Not Found [IP: 91.189.92.200 80]
Ign http://ppa.launchpad.net trusty/main Translation-en_AU                     
Err http://archive.ubuntu.com main/universe i386 Packages                      
  404  Not Found [IP: 91.189.92.200 80]
Ign http://ppa.launchpad.net trusty/main Translation-en                        
Err http://archive.ubuntu.com main/restricted i386 Packages                    
  404  Not Found [IP: 91.189.92.200 80]
Ign http://ppa.launchpad.net trusty/main Translation-en_GB                     
Err http://archive.ubuntu.com main/multiverse i386 Packages                    
  404  Not Found [IP: 91.189.92.200 80]
Ign http://ppa.launchpad.net trusty/main Translation-en_AU                     
Ign http://archive.ubuntu.com main/multiverse Translation-en_AU                
Ign http://ppa.launchpad.net trusty/main Translation-en                        
Ign http://archive.ubuntu.com main/multiverse Translation-en                   
Ign http://ppa.launchpad.net trusty/main Translation-en_GB                     
Ign http://archive.ubuntu.com main/multiverse Translation-en_GB                
Ign http://archive.ubuntu.com main/restricted Translation-en_AU                
Ign http://archive.ubuntu.com main/restricted Translation-en                   
Ign http://archive.ubuntu.com main/restricted Translation-en_GB                
Ign http://archive.ubuntu.com main/universe Translation-en_AU                  
Ign http://archive.ubuntu.com main/universe Translation-en                     
Ign http://archive.ubuntu.com main/universe Translation-en_GB
W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/main/universe/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/main/restricted/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/main/multiverse/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/main/universe/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/main/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/main/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.

/etc/apt/sources.list

# deb cdrom:[Ubuntu 14.04.1 LTS _Trusty Tahr_ - Release amd64 (20140722.2)]/ trusty main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://archive.ubuntu.com/ubuntu trusty main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu trusty-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu trusty universe
deb-src http://archive.ubuntu.com/ubuntu trusty universe
deb http://archive.ubuntu.com/ubuntu trusty-updates universe
deb-src http://archive.ubuntu.com/ubuntu trusty-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu trusty multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty multiverse
deb http://archive.ubuntu.com/ubuntu trusty-updates multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu trusty-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu trusty-security main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty-security main restricted
deb http://archive.ubuntu.com/ubuntu trusty-security universe
deb-src http://archive.ubuntu.com/ubuntu trusty-security universe
deb http://archive.ubuntu.com/ubuntu trusty-security multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu trusty partner
# deb-src http://archive.canonical.com/ubuntu trusty partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu trusty main
# deb-src http://extras.ubuntu.com/ubuntu trusty main
# deb-src http://archive.ubuntu.com/ubuntu trusty main universe restricted multiverse
# deb-src http://archive.ubuntu.com/ubuntu trusty main universe restricted multiverse
deb http://archive.ubuntu.com/ubuntu main universe restricted multiverse
# deb-src http://archive.ubuntu.com/ubuntu main universe restricted multiverse
  • Can you post the contents of /etc/apt/sources.list? – saiarcot895 Nov 15 '14 at 2:30
  • I have a similar issue on my old PC, that I am about to purge / decommission (so not urgent to fix). I have yet to resolve .. – david6 Nov 15 '14 at 2:41
  • @saiarcot895 yep, added it to the post – jax Nov 15 '14 at 7:44
12

Remove the line that reads deb http://archive.ubuntu.com/ubuntu main universe restricted multiverse (and the commented line after that, if you wish). Then run sudo apt-get update. There should be no errors now.

  • 2
    That fixed the issue, do you know why? I did not add that repository myself, I think it was added when I initially installed Ubuntu. – jax Nov 15 '14 at 21:11
  • 1
    The syntax (for the default Ubuntu repos) is incorrect. Right after the URL, the version of the distro (trusty) usually goes there, followed by the different sections of the repo (one or more is allowed). See the other URLs for the syntax. – saiarcot895 Nov 15 '14 at 23:08
  • Thank you for sharing your knowledge. I have used your solution and this askubuntu.com/a/468062/47992. Problem solved finally. It took me some hours to find this... – user65130 Dec 16 '14 at 20:29
  • Note that if you used the command in the second solution, you may want to enable/add the bugfix update and security update repos as well. – saiarcot895 Dec 16 '14 at 20:31
14

To change all of your deprecated urls http://archive.ubuntu.com to the working urls http://old-releases.ubuntu.com

sudo sed -i -e 's/:\/\/(archive.ubuntu.com\|security.ubuntu.com)/old-releases.ubuntu.com/g' /etc/apt/sources.list

This answer is based on https://smyl.es/how-to-fix-ubuntudebian-apt-get-404-not-found-package-repository-errors-saucy-raring-quantal-oneiric-natty/

  • 1
    This answer is intended for releases that are beyond the support cutoff. In the case of this question 14.04 LTS still is under support. – Sn3akyP3t3 Oct 29 '16 at 13:39
  • @Pylinux I am still facing the issue – ravi404 Feb 10 '17 at 6:21
4

First run sudo apt-get -y upgrade to get apt-get repointed correctly.

Then you can run such commands as:

sudo apt-get -y update
sudo apt-get -y dist-upgrade

without getting the "404 Not Found" error.

  • 2
    This was the best solution for me. The other answers required me to directly modify files that are usually maintained automatically and I wasn't comfortable with that. – Vince May 8 at 8:45
  • Do you know why it solves the problem tho? Because we are usually advised to run update BEFORE upgrade – lapin Jul 6 at 10:19
  • @lapin I don't know. – Michael Currie Jul 6 at 14:45

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.